Last Comment Bug 711935 - Crash in XPC_WN_GetterSetter @ msvcr80.dll@0x14500 while dragging a tab with TorButton 1.4.5
: Crash in XPC_WN_GetterSetter @ msvcr80.dll@0x14500 while dragging a tab with ...
Status: RESOLVED FIXED
[fixed in TorButton 1.4.5.1]
: crash, topcrash
Product: Firefox
Classification: Client Software
Component: Extension Compatibility (show other bugs)
: 9 Branch
: x86 Windows 7
: -- critical (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
Mentors:
Depends on: 711953
Blocks:
  Show dependency treegraph
 
Reported: 2011-12-19 03:07 PST by Scoobidiver (away)
Modified: 2012-02-09 22:48 PST (History)
1 user (show)
See Also:
Crash Signature:
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description Scoobidiver (away) 2011-12-19 03:07:06 PST
It's #10 crasher in 9.0b6 and first appeared with that stack trace around December 14th.

It has been hidden behind bug 700302 and its dupe. msvcr80.dll should have been added to the Socorro skiplist in order to not miss it.

All comments talk about dragging a tab.

It's correlated to TorButton:
    100% (147/147) vs.   1% (178/28968) {e0204bd5-9d31-402b-a99d-a6aa8ffebdca} (Torbutton, https://addons.mozilla.org/addon/2275)
          0% (0/147) vs.   0% (1/28968) 1.4.4.1
        100% (147/147) vs.   1% (173/28968) 1.4.5
          0% (0/147) vs.   0% (4/28968) 1.4.5.1

It's fixed in TorButton 1.4.5.1:
https://gitweb.torproject.org/torbutton.git/blob/HEAD:/src/CHANGELOG

Signature 	msvcr80.dll@0x14500 More Reports Search
UUID	353c65a1-d50d-4b83-8d7d-93f0d2111218
Date Processed	2011-12-18 04:42:04.779641
Uptime	148
Last Crash	4.8 hours before submission
Install Age	3.1 weeks since version was first installed.
Install Time	2011-11-26 19:08:43
Product	Firefox
Version	9.0
Build ID	20111122192043
Release Channel	beta
OS	Windows NT
OS Version	6.1.7601 Service Pack 1
Build Architecture	x86
Build Architecture Info	GenuineIntel family 6 model 23 stepping 10
Crash Reason	EXCEPTION_ACCESS_VIOLATION_READ
Crash Address	0xffffffff989dbfa0
App Notes 	AdapterVendorID: 1002, AdapterDeviceID: 9480, AdapterSubsysID: 3624103c, AdapterDriverVersion: 8.632.0.0
D3D10 Layers? D3D10 Layers-
D3D9 Layers? D3D9 Layers-
EMCheckCompatibility	True

Frame 	Module 	Signature [Expand] 	Source
0 	msvcr80.dll 	msvcr80.dll@0x14500 	
1 	xul.dll 	XPC_WN_GetterSetter 	js/src/xpconnect/src/xpcwrappednativejsops.cpp:1679
2 	mozjs.dll 	js::InvokeKernel 	js/src/jsinterp.cpp:660
3 	mozjs.dll 	js::Invoke 	js/src/jsinterp.cpp:710
4 	mozjs.dll 	js::InvokeGetterOrSetter 	js/src/jsinterp.cpp:747
5 	mozjs.dll 	js::Shape::get 	js/src/jsscopeinlines.h:279
6 	mozjs.dll 	js_GetPropertyHelper 	js/src/jsobj.cpp:5930
7 	mozjs.dll 	js::Interpret 	js/src/jsinterp.cpp:3564
8 	mozjs.dll 	js::types::TypeMonitorCall 	js/src/jsinferinlines.h:327
9 	mozjs.dll 	UncachedInlineCall 	js/src/methodjit/InvokeHelpers.cpp:393
10 	mozjs.dll 	js::mjit::stubs::UncachedCallHelper 	js/src/methodjit/InvokeHelpers.cpp:480
11 	mozjs.dll 	CallCompiler::update 	js/src/methodjit/MonoIC.cpp:1088
12 	mozjs.dll 	js::mjit::ic::Call 	js/src/methodjit/MonoIC.cpp:1148
13 	mozjs.dll 	js::mjit::EnterMethodJIT 	js/src/methodjit/MethodJIT.cpp:884
14 	mozjs.dll 	js::mjit::JaegerShot 	js/src/methodjit/MethodJIT.cpp:962
15 	mozjs.dll 	js::RunScript 	js/src/jsinterp.cpp:611
16 	mozjs.dll 	js::InvokeKernel 	js/src/jsinterp.cpp:678
17 	mozjs.dll 	js::Invoke 	js/src/jsinterp.cpp:710
18 	mozjs.dll 	JS_CallFunctionValue 	js/src/jsapi.cpp:5039
19 	xul.dll 	nsXPCWrappedJSClass::CallMethod 	js/src/xpconnect/src/xpcwrappedjsclass.cpp:1660
20 	xul.dll 	nsXPCWrappedJS::CallMethod 	js/src/xpconnect/src/xpcwrappedjs.cpp:585
21 	xul.dll 	PrepareAndDispatch 	xpcom/reflect/xptcall/src/md/win32/xptcstubs.cpp:114
22 	xul.dll 	SharedStub 	xpcom/reflect/xptcall/src/md/win32/xptcstubs.cpp:141
23 	xul.dll 	nsEventListenerManager::HandleEventInternal 	content/events/src/nsEventListenerManager.cpp:778
24 	xul.dll 	nsEventTargetChainItem::HandleEventTargetChain 	content/events/src/nsEventDispatcher.cpp:314
25 	xul.dll 	nsEventDispatcher::Dispatch 	content/events/src/nsEventDispatcher.cpp:672
26 	xul.dll 	PresShell::HandleEventInternal 	layout/base/nsPresShell.cpp:6346
27 	xul.dll 	PresShell::HandlePositionedEvent 	layout/base/nsPresShell.cpp:6132
28 	xul.dll 	PresShell::HandleEvent 	layout/base/nsPresShell.cpp:5967
29 	xul.dll 	nsViewManager::HandleEvent 	view/src/nsViewManager.cpp:1029
30 	xul.dll 	nsViewManager::DispatchEvent 	view/src/nsViewManager.cpp:1007
31 	xul.dll 	AttachedHandleEvent 	view/src/nsView.cpp:191
32 	xul.dll 	nsWindow::DispatchEvent 	widget/src/windows/nsWindow.cpp:3580
33 	xul.dll 	nsNativeDragTarget::DispatchDragDropEvent 	widget/src/windows/nsNativeDragTarget.cpp:205
34 	xul.dll 	nsNativeDragTarget::ProcessDrag 	widget/src/windows/nsNativeDragTarget.cpp:228
35 	xul.dll 	nsNativeDragTarget::DragOver 	widget/src/windows/nsNativeDragTarget.cpp:346
36 	ole32.dll 	CPrivDragDrop::PrivDragDrop 	
37 	ole32.dll 	PrivDragDrop 	
38 	ole32.dll 	CDropTarget::DragOver 	
39 	ole32.dll 	CDragOperation::DragOver 	
40 	ole32.dll 	DoDragDrop 	
41 	xul.dll 	nsDragService::StartInvokingDragSession 	widget/src/windows/nsDragService.cpp:317
42 	xul.dll 	nsDragService::InvokeDragSession 	widget/src/windows/nsDragService.cpp:267
43 	xul.dll 	nsBaseDragService::InvokeDragSessionWithImage 	widget/src/xpwidgets/nsBaseDragService.cpp:286
44 	xul.dll 	NS_InvokeByIndex_P 	xpcom/reflect/xptcall/src/md/win32/xptcinvoke.cpp:102
45 	xul.dll 	XPC_WN_CallMethod 	js/src/xpconnect/src/xpcwrappednativejsops.cpp:1629
46 	mozjs.dll 	js::InvokeKernel 	js/src/jsinterp.cpp:660
47 	mozjs.dll 	js::Interpret 	js/src/jsinterp.cpp:4036
48 	mozjs.dll 	js::analyze::ScriptAnalysis::integerOperation 	js/src/jsinfer.cpp:4327
49 	mozjs.dll 	js::RunScript 	js/src/jsinterp.cpp:614
50 	mozjs.dll 	js::InvokeKernel 	js/src/jsinterp.cpp:678
51 	mozjs.dll 	js::Invoke 	js/src/jsinterp.cpp:710
52 	mozjs.dll 	JS_CallFunctionValue 	js/src/jsapi.cpp:5039
53 	xul.dll 	nsXPCWrappedJSClass::CallMethod 	js/src/xpconnect/src/xpcwrappedjsclass.cpp:1660
54 	xul.dll 	nsXPCWrappedJS::CallMethod 	js/src/xpconnect/src/xpcwrappedjs.cpp:585
55 	xul.dll 	PrepareAndDispatch 	xpcom/reflect/xptcall/src/md/win32/xptcstubs.cpp:114
56 	xul.dll 	SharedStub 	xpcom/reflect/xptcall/src/md/win32/xptcstubs.cpp:141
57 	xul.dll 	nsEventStateManager::DoDefaultDragStart 	content/events/src/nsEventStateManager.cpp:2392

More reports at:
https://crash-stats.mozilla.com/report/list?version=Firefox:9.0b6&signature=msvcr80.dll%400x14500
Comment 1 Sheila Mooney 2012-02-09 22:48:27 PST
I don't see any of these in 10 at all after 10a2. I am going to assume that everybody upgraded and we don't get it anymore. Resolving as fixed.

Note You need to log in before you can comment on or make changes to this bug.